<script lang="ts">
	import MdiWarningOutline from 'virtual:icons/mdi/warning-outline';

	export let title: string;

	export let className: string | null | undefined;
</script>

<aside class="alert variant-filled-error {className}">
	<!-- Icon -->
	<MdiWarningOutline class="text-4xl" />

	<!-- Message -->
	<div class="alert-message">
		<h3 class="h3">{title}</h3>
		<slot />
	</div>

	<!-- Actions -->
	<div class="alert-actions">
		<slot name="actions" />
	</div>
</aside>
